Subject: Re: What's the best way to make my company migrate to Git?

From: Jakub Narebski <[email-masked]>
Date: Sat, 22 May 2010 18:06:50 +0200

Dnia sobota 22. maja 2010 17:58, Daniele Segato napisał:
> Il giorno ven, 21/05/2010 alle 08.54 -0700, Jakub Narebski ha scritto:
> > Daniele Segato <[email-masked]> writes:
> > 
> > [...]
> > > I think that to introduce git in my company I should at least go throw
> > > this 5 points:
> > 
> > > 1. prepare a project management web application easy to use and
> > >    mantain (like github or gitorious for instance) on one of our
> > >    intranet servers.
> > 
> > Note that while Gitorious (in Ruby), InDefero (in PHP), and Girocco
> > (with gitweb, Perl + shell script, used by http://repo.or.cz) are open
> > source, GitHub is not.  There is GitHub:FI if you want [self] hosted
> > GitHub-alike, but it is proprietary and it is not cheap.
> > 
> > There is also Gerrit, a web based code review system, which runs in
> > any standard Java servlet container.
> 
> Thanks for the list. [...] I never heard of some of the project you
> listed here, I'll give them a try.

https://git.wiki.kernel.org/index.php/InterfacesFrontendsAndTools should
be a good source of information about miscelanous git tools.

> Did someone worked with some of them and have a review or an opinion
> about them?

That I can't help you with.

-- 
Jakub Narebski
Poland